add Added Files:
[hdw-repos/packages.git] / demian / aumix / autoconf.patch
1 diff -Nur aumix-2.7.orig/configure.in aumix-2.7/configure.in
2 --- aumix-2.7.orig/configure.in Thu Jul 13 13:33:30 2000
3 +++ aumix-2.7/configure.in      Sun Feb 17 16:40:41 2002
4 @@ -36,7 +36,7 @@
5     [  --without-ncurses       compile with no ncurses or mouse support],
6    AC_MSG_RESULT([Compiling without ncurses support]),
7    dnl Checks for ncurses library.
8 -  AC_CHECK_LIB(ncurses, initscr, initscr=on, initscr=off)
9 +  [AC_CHECK_LIB(ncurses, initscr, initscr=on, initscr=off)
10    if test $initscr = on; then
11      CURSLIB="ncurses"
12      LIBS="-l$CURSLIB $LIBS"
13 @@ -93,7 +93,7 @@
14  #endif], aumix_cv_cons_mousectl=yes, aumix_cv_cons_mousectl=no)])
15      if test $aumix_cv_cons_mousectl = yes; then
16        AC_DEFINE(HAVE_SYSMOUSE)
17 -    fi
18 +    fi]
19    )
20  )
21  AM_CONDITIONAL(CURSES, test "x$CURSLIB" != "x")
22 diff -Nur aumix-2.7.orig/depcomp aumix-2.7/depcomp
23 --- aumix-2.7.orig/depcomp      Thu Jan  1 01:00:00 1970
24 +++ aumix-2.7/depcomp   Sun Feb 17 16:41:03 2002
25 @@ -0,0 +1,411 @@
26 +#! /bin/sh
27 +
28 +# depcomp - compile a program generating dependencies as side-effects
29 +# Copyright 1999, 2000 Free Software Foundation, Inc.
30 +
31 +# This program is free software; you can redistribute it and/or modify
32 +# it under the terms of the GNU General Public License as published by
33 +# the Free Software Foundation; either version 2, or (at your option)
34 +# any later version.
35 +
36 +# This program is distributed in the hope that it will be useful,
37 +# but WITHOUT ANY WARRANTY; without even the implied warranty of
38 +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
39 +# GNU General Public License for more details.
40 +
41 +# You should have received a copy of the GNU General Public License
42 +# along with this program; if not, write to the Free Software
43 +# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
44 +# 02111-1307, USA.
45 +
46 +# As a special exception to the GNU General Public License, if you
47 +# distribute this file as part of a program that contains a
48 +# configuration script generated by Autoconf, you may include it under
49 +# the same distribution terms that you use for the rest of that program.
50 +
51 +# Originally written by Alexandre Oliva <oliva@dcc.unicamp.br>.
52 +
53 +if test -z "$depmode" || test -z "$source" || test -z "$object"; then
54 +  echo "depcomp: Variables source, object and depmode must be set" 1>&2
55 +  exit 1
56 +fi
57 +# `libtool' can also be set to `yes' or `no'.
58 +
59 +depfile=${depfile-`echo "$object" | sed 's,\([^/]*\)$,.deps/\1,;s/\.\([^.]*\)$/.P\1/'`}
60 +tmpdepfile=${tmpdepfile-`echo "$depfile" | sed 's/\.\([^.]*\)$/.T\1/'`}
61 +
62 +rm -f "$tmpdepfile"
63 +
64 +# Some modes work just like other modes, but use different flags.  We
65 +# parameterize here, but still list the modes in the big case below,
66 +# to make depend.m4 easier to write.  Note that we *cannot* use a case
67 +# here, because this file can only contain one case statement.
68 +if test "$depmode" = hp; then
69 +  # HP compiler uses -M and no extra arg.
70 +  gccflag=-M
71 +  depmode=gcc
72 +fi
73 +
74 +if test "$depmode" = dashXmstdout; then
75 +   # This is just like dashmstdout with a different argument.
76 +   dashmflag=-xM
77 +   depmode=dashmstdout
78 +fi
79 +
80 +case "$depmode" in
81 +gcc3)
82 +## gcc 3 implements dependency tracking that does exactly what
83 +## we want.  Yay!  Note: for some reason libtool 1.4 doesn't like
84 +## it if -MD -MP comes after the -MF stuff.  Hmm.
85 +  "$@" -MT "$object" -MD -MP -MF "$tmpdepfile"
86 +  stat=$?
87 +  if test $stat -eq 0; then :
88 +  else
89 +    rm -f "$tmpdepfile"
90 +    exit $stat
91 +  fi
92 +  mv "$tmpdepfile" "$depfile"
93 +  ;;
94 +
95 +gcc)
96 +## There are various ways to get dependency output from gcc.  Here's
97 +## why we pick this rather obscure method:
98 +## - Don't want to use -MD because we'd like the dependencies to end
99 +##   up in a subdir.  Having to rename by hand is ugly.
100 +##   (We might end up doing this anyway to support other compilers.)
101 +## - The DEPENDENCIES_OUTPUT environment variable makes gcc act like
102 +##   -MM, not -M (despite what the docs say).
103 +## - Using -M directly means running the compiler twice (even worse
104 +##   than renaming).
105 +  if test -z "$gccflag"; then
106 +    gccflag=-MD,
107 +  fi
108 +  "$@" -Wp,"$gccflag$tmpdepfile"
109 +  stat=$?
110 +  if test $stat -eq 0; then :
111 +  else
112 +    rm -f "$tmpdepfile"
113 +    exit $stat
114 +  fi
115 +  rm -f "$depfile"
116 +  echo "$object : \\" > "$depfile"
117 +  alpha=ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
118 +## The second -e expression handles DOS-style file names with drive letters.
119 +  sed -e 's/^[^:]*: / /' \
120 +      -e 's/^['$alpha']:\/[^:]*: / /' < "$tmpdepfile" >> "$depfile"
121 +## This next piece of magic avoids the `deleted header file' problem.
122 +## The problem is that when a header file which appears in a .P file
123 +## is deleted, the dependency causes make to die (because there is
124 +## typically no way to rebuild the header).  We avoid this by adding
125 +## dummy dependencies for each header file.  Too bad gcc doesn't do
126 +## this for us directly.
127 +  tr ' ' '
128 +' < "$tmpdepfile" |
129 +## Some versions of gcc put a space before the `:'.  On the theory
130 +## that the space means something, we add a space to the output as
131 +## well.
132 +## Some versions of the HPUX 10.20 sed can't process this invocation
133 +## correctly.  Breaking it into two sed invocations is a workaround.
134 +    sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
135 +  rm -f "$tmpdepfile"
136 +  ;;
137 +
138 +hp)
139 +  # This case exists only to let depend.m4 do its work.  It works by
140 +  # looking at the text of this script.  This case will never be run,
141 +  # since it is checked for above.
142 +  exit 1
143 +  ;;
144 +
145 +sgi)
146 +  if test "$libtool" = yes; then
147 +    "$@" "-Wp,-MDupdate,$tmpdepfile"
148 +  else
149 +    "$@" -MDupdate "$tmpdepfile"
150 +  fi
151 +  stat=$?
152 +  if test $stat -eq 0; then :
153 +  else
154 +    rm -f "$tmpdepfile"
155 +    exit $stat
156 +  fi
157 +  rm -f "$depfile"
158 +
159 +  if test -f "$tmpdepfile"; then  # yes, the sourcefile depend on other files
160 +    echo "$object : \\" > "$depfile"
161 +
162 +    # Clip off the initial element (the dependent).  Don't try to be
163 +    # clever and replace this with sed code, as IRIX sed won't handle
164 +    # lines with more than a fixed number of characters (4096 in
165 +    # IRIX 6.2 sed, 8192 in IRIX 6.5).  We also remove comment lines;
166 +    # the IRIX cc adds comments like `#:fec' to the end of the
167 +    # dependency line.
168 +    tr ' ' '
169 +' < "$tmpdepfile" \
170 +    | sed -e 's/^.*\.o://' -e 's/#.*$//' -e '/^$/ d' | \
171 +    tr '
172 +' ' ' >> $depfile
173 +    echo >> $depfile
174 +
175 +    # The second pass generates a dummy entry for each header file.
176 +    tr ' ' '
177 +' < "$tmpdepfile" \
178 +   | sed -e 's/^.*\.o://' -e 's/#.*$//' -e '/^$/ d' -e 's/$/:/' \
179 +   >> $depfile
180 +  else
181 +    # The sourcefile does not contain any dependencies, so just
182 +    # store a dummy comment line, to avoid errors with the Makefile
183 +    # "include basename.Plo" scheme.
184 +    echo "#dummy" > "$depfile"
185 +  fi
186 +  rm -f "$tmpdepfile"
187 +  ;;
188 +
189 +aix)
190 +  # The C for AIX Compiler uses -M and outputs the dependencies
191 +  # in a .u file.  This file always lives in the current directory.
192 +  # Also, the AIX compiler puts `$object:' at the start of each line;
193 +  # $object doesn't have directory information.
194 +  stripped=`echo "$object" | sed -e 's,^.*/,,' -e 's/\(.*\)\..*$/\1/'`
195 +  tmpdepfile="$stripped.u"
196 +  outname="$stripped.o"
197 +  if test "$libtool" = yes; then
198 +    "$@" -Wc,-M
199 +  else
200 +    "$@" -M
201 +  fi
202 +
203 +  stat=$?
204 +  if test $stat -eq 0; then :
205 +  else
206 +    rm -f "$tmpdepfile"
207 +    exit $stat
208 +  fi
209 +
210 +  if test -f "$tmpdepfile"; then
211 +    # Each line is of the form `foo.o: dependent.h'.
212 +    # Do two passes, one to just change these to
213 +    # `$object: dependent.h' and one to simply `dependent.h:'.
214 +    sed -e "s,^$outname:,$object :," < "$tmpdepfile" > "$depfile"
215 +    sed -e "s,^$outname: \(.*\)$,\1:," < "$tmpdepfile" >> "$depfile"
216 +  else
217 +    # The sourcefile does not contain any dependencies, so just
218 +    # store a dummy comment line, to avoid errors with the Makefile
219 +    # "include basename.Plo" scheme.
220 +    echo "#dummy" > "$depfile"
221 +  fi
222 +  rm -f "$tmpdepfile"
223 +  ;;
224 +
225 +tru64)
226 +   # The Tru64 AIX compiler uses -MD to generate dependencies as a side
227 +   # effect.  `cc -MD -o foo.o ...' puts the dependencies into `foo.o.d'.
228 +   # At least on Alpha/Redhat 6.1, Compaq CCC V6.2-504 seems to put 
229 +   # dependencies in `foo.d' instead, so we check for that too.
230 +   # Subdirectories are respected.
231 +
232 +   tmpdepfile1="$object.d"
233 +   tmpdepfile2=`echo "$object" | sed -e 's/.o$/.d/'` 
234 +   if test "$libtool" = yes; then
235 +      "$@" -Wc,-MD
236 +   else
237 +      "$@" -MD
238 +   fi
239 +
240 +   stat=$?
241 +   if test $stat -eq 0; then :
242 +   else
243 +      rm -f "$tmpdepfile1" "$tmpdepfile2"
244 +      exit $stat
245 +   fi
246 +
247 +   if test -f "$tmpdepfile1"; then
248 +      tmpdepfile="$tmpdepfile1"
249 +   else
250 +      tmpdepfile="$tmpdepfile2"
251 +   fi
252 +   if test -f "$tmpdepfile"; then
253 +      sed -e "s,^.*\.[a-z]*:,$object:," < "$tmpdepfile" > "$depfile"
254 +      # That's a space and a tab in the [].
255 +      sed -e 's,^.*\.[a-z]*:[  ]*,,' -e 's,$,:,' < "$tmpdepfile" >> "$depfile"
256 +   else
257 +      echo "#dummy" > "$depfile"
258 +   fi
259 +   rm -f "$tmpdepfile"
260 +   ;;
261 +
262 +#nosideeffect)
263 +  # This comment above is used by automake to tell side-effect
264 +  # dependency tracking mechanisms from slower ones.
265 +
266 +dashmstdout)
267 +  # Important note: in order to support this mode, a compiler *must*
268 +  # always write the proprocessed file to stdout, regardless of -o,
269 +  # because we must use -o when running libtool.
270 +  test -z "$dashmflag" && dashmflag=-M
271 +  ( IFS=" "
272 +    case " $* " in
273 +    *" --mode=compile "*) # this is libtool, let us make it quiet
274 +      for arg
275 +      do # cycle over the arguments
276 +        case "$arg" in
277 +       "--mode=compile")
278 +         # insert --quiet before "--mode=compile"
279 +         set fnord "$@" --quiet
280 +         shift # fnord
281 +         ;;
282 +       esac
283 +       set fnord "$@" "$arg"
284 +       shift # fnord
285 +       shift # "$arg"
286 +      done
287 +      ;;
288 +    esac
289 +    "$@" $dashmflag | sed 's:^[^:]*\:[         ]*:'"$object"'\: :' > "$tmpdepfile"
290 +  ) &
291 +  proc=$!
292 +  "$@"
293 +  stat=$?
294 +  wait "$proc"
295 +  if test "$stat" != 0; then exit $stat; fi
296 +  rm -f "$depfile"
297 +  cat < "$tmpdepfile" > "$depfile"
298 +  tr ' ' '
299 +' < "$tmpdepfile" | \
300 +## Some versions of the HPUX 10.20 sed can't process this invocation
301 +## correctly.  Breaking it into two sed invocations is a workaround.
302 +    sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
303 +  rm -f "$tmpdepfile"
304 +  ;;
305 +
306 +dashXmstdout)
307 +  # This case only exists to satisfy depend.m4.  It is never actually
308 +  # run, as this mode is specially recognized in the preamble.
309 +  exit 1
310 +  ;;
311 +
312 +makedepend)
313 +  # X makedepend
314 +  (
315 +    shift
316 +    cleared=no
317 +    for arg in "$@"; do
318 +      case $cleared in no)
319 +        set ""; shift
320 +       cleared=yes
321 +      esac
322 +      case "$arg" in
323 +        -D*|-I*)
324 +         set fnord "$@" "$arg"; shift;;
325 +       -*)
326 +         ;;
327 +       *)
328 +         set fnord "$@" "$arg"; shift;;
329 +      esac
330 +    done
331 +    obj_suffix="`echo $object | sed 's/^.*\././'`"
332 +    touch "$tmpdepfile"
333 +    ${MAKEDEPEND-makedepend} 2>/dev/null -o"$obj_suffix" -f"$tmpdepfile" "$@"
334 +  ) &
335 +  proc=$!
336 +  "$@"
337 +  stat=$?
338 +  wait "$proc"
339 +  if test "$stat" != 0; then exit $stat; fi
340 +  rm -f "$depfile"
341 +  cat < "$tmpdepfile" > "$depfile"
342 +  tail +3 "$tmpdepfile" | tr ' ' '
343 +' | \
344 +## Some versions of the HPUX 10.20 sed can't process this invocation
345 +## correctly.  Breaking it into two sed invocations is a workaround.
346 +    sed -e 's/^\\$//' -e '/^$/d' -e '/:$/d' | sed -e 's/$/ :/' >> "$depfile"
347 +  rm -f "$tmpdepfile" "$tmpdepfile".bak
348 +  ;;
349 +
350 +cpp)
351 +  # Important note: in order to support this mode, a compiler *must*
352 +  # always write the proprocessed file to stdout, regardless of -o,
353 +  # because we must use -o when running libtool.
354 +  ( IFS=" "
355 +    case " $* " in
356 +    *" --mode=compile "*)
357 +      for arg
358 +      do # cycle over the arguments
359 +        case $arg in
360 +       "--mode=compile")
361 +         # insert --quiet before "--mode=compile"
362 +         set fnord "$@" --quiet
363 +         shift # fnord
364 +         ;;
365 +       esac
366 +       set fnord "$@" "$arg"
367 +       shift # fnord
368 +       shift # "$arg"
369 +      done
370 +      ;;
371 +    esac
372 +    "$@" -E |
373 +    sed -n '/^# [0-9][0-9]* "\([^"]*\)".*/ s:: \1 \\:p' |
374 +    sed '$ s: \\$::' > "$tmpdepfile"
375 +  ) &
376 +  proc=$!
377 +  "$@"
378 +  stat=$?
379 +  wait "$proc"
380 +  if test "$stat" != 0; then exit $stat; fi
381 +  rm -f "$depfile"
382 +  echo "$object : \\" > "$depfile"
383 +  cat < "$tmpdepfile" >> "$depfile"
384 +  sed < "$tmpdepfile" '/^$/d;s/^ //;s/ \\$//;s/$/ :/' >> "$depfile"
385 +  rm -f "$tmpdepfile"
386 +  ;;
387 +
388 +msvisualcpp)
389 +  # Important note: in order to support this mode, a compiler *must*
390 +  # always write the proprocessed file to stdout, regardless of -o,
391 +  # because we must use -o when running libtool.
392 +  ( IFS=" "
393 +    case " $* " in
394 +    *" --mode=compile "*)
395 +      for arg
396 +      do # cycle over the arguments
397 +        case $arg in
398 +       "--mode=compile")
399 +         # insert --quiet before "--mode=compile"
400 +         set fnord "$@" --quiet
401 +         shift # fnord
402 +         ;;
403 +       esac
404 +       set fnord "$@" "$arg"
405 +       shift # fnord
406 +       shift # "$arg"
407 +      done
408 +      ;;
409 +    esac
410 +    "$@" -E |
411 +    sed -n '/^#line [0-9][0-9]* "\([^"]*\)"/ s::echo "`cygpath -u \\"\1\\"`":p' | sort | uniq > "$tmpdepfile"
412 +  ) &
413 +  proc=$!
414 +  "$@"
415 +  stat=$?
416 +  wait "$proc"
417 +  if test "$stat" != 0; then exit $stat; fi
418 +  rm -f "$depfile"
419 +  echo "$object : \\" > "$depfile"
420 +  . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s::   \1 \\:p' >> "$depfile"
421 +  echo "       " >> "$depfile"
422 +  . "$tmpdepfile" | sed 's% %\\ %g' | sed -n '/^\(.*\)$/ s::\1\::p' >> "$depfile"
423 +  rm -f "$tmpdepfile"
424 +  ;;
425 +
426 +none)
427 +  exec "$@"
428 +  ;;
429 +
430 +*)
431 +  echo "Unknown depmode $depmode" 1>&2
432 +  exit 1
433 +  ;;
434 +esac
435 +
436 +exit 0
437 diff -Nur aumix-2.7.orig/missing aumix-2.7/missing
438 --- aumix-2.7.orig/missing      Sun May 25 18:17:15 1997
439 +++ aumix-2.7/missing   Sun Feb 17 16:40:59 2002
440 @@ -1,7 +1,7 @@
441  #! /bin/sh
442  # Common stub for a few missing GNU programs while installing.
443 -# Copyright (C) 1996, 1997 Free Software Foundation, Inc.
444 -# Franc,ois Pinard <pinard@iro.umontreal.ca>, 1996.
445 +# Copyright 1996, 1997, 1999, 2000 Free Software Foundation, Inc.
446 +# Originally by Fran,cois Pinard <pinard@iro.umontreal.ca>, 1996.
447  
448  # This program is free software; you can redistribute it and/or modify
449  # it under the terms of the GNU General Public License as published by
450 @@ -18,11 +18,37 @@
451  # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
452  # 02111-1307, USA.
453  
454 +# As a special exception to the GNU General Public License, if you
455 +# distribute this file as part of a program that contains a
456 +# configuration script generated by Autoconf, you may include it under
457 +# the same distribution terms that you use for the rest of that program.
458 +
459  if test $# -eq 0; then
460    echo 1>&2 "Try \`$0 --help' for more information"
461    exit 1
462  fi
463  
464 +run=:
465 +
466 +# In the cases where this matters, `missing' is being run in the
467 +# srcdir already.
468 +if test -f configure.ac; then
469 +  configure_ac=configure.ac
470 +else
471 +  configure_ac=configure.in
472 +fi
473 +
474 +case "$1" in
475 +--run)
476 +  # Try to run requested program, and just exit if it succeeds.
477 +  run=
478 +  shift
479 +  "$@" && exit 0
480 +  ;;
481 +esac
482 +
483 +# If it does not exist, or fails to run (possibly an outdated version),
484 +# try to emulate it.
485  case "$1" in
486  
487    -h|--h|--he|--hel|--help)
488 @@ -35,19 +61,24 @@
489  Options:
490    -h, --help      display this help and exit
491    -v, --version   output version information and exit
492 +  --run           try to run the given command, and emulate it if it fails
493  
494  Supported PROGRAM values:
495    aclocal      touch file \`aclocal.m4'
496    autoconf     touch file \`configure'
497    autoheader   touch file \`config.h.in'
498    automake     touch all \`Makefile.in' files
499 -  bison        touch file \`y.tab.c'
500 +  bison        create \`y.tab.[ch]', if possible, from existing .[ch]
501 +  flex         create \`lex.yy.c', if possible, from existing .c
502 +  help2man     touch the output file
503 +  lex          create \`lex.yy.c', if possible, from existing .c
504    makeinfo     touch the output file
505 -  yacc         touch file \`y.tab.c'"
506 +  tar          try tar, gnutar, gtar, then tar without non-portable flags
507 +  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]"
508      ;;
509  
510    -v|--v|--ve|--ver|--vers|--versi|--versio|--version)
511 -    echo "missing - GNU libit 0.0"
512 +    echo "missing 0.3 - GNU automake"
513      ;;
514  
515    -*)
516 @@ -58,8 +89,8 @@
517  
518    aclocal)
519      echo 1>&2 "\
520 -WARNING: \`$1' is missing on your system.  It should be needed only if
521 -         you modified \`acinclude.m4' or \`configure.in'.  You might want
522 +WARNING: \`$1' is missing on your system.  You should only need it if
523 +         you modified \`acinclude.m4' or \`${configure_ac}'.  You might want
524           to install the \`Automake' and \`Perl' packages.  Grab them from
525           any GNU archive site."
526      touch aclocal.m4
527 @@ -67,8 +98,8 @@
528  
529    autoconf)
530      echo 1>&2 "\
531 -WARNING: \`$1' is missing on your system.  It should be needed only if
532 -         you modified \`configure.in'.  You might want to install the
533 +WARNING: \`$1' is missing on your system.  You should only need it if
534 +         you modified \`${configure_ac}'.  You might want to install the
535           \`Autoconf' and \`GNU m4' packages.  Grab them from any GNU
536           archive site."
537      touch configure
538 @@ -76,36 +107,115 @@
539  
540    autoheader)
541      echo 1>&2 "\
542 -WARNING: \`$1' is missing on your system.  It should be needed only if
543 -         you modified \`acconfig.h' or \`configure.in'.  You might want
544 +WARNING: \`$1' is missing on your system.  You should only need it if
545 +         you modified \`acconfig.h' or \`${configure_ac}'.  You might want
546           to install the \`Autoconf' and \`GNU m4' packages.  Grab them
547           from any GNU archive site."
548 -    touch config.h.in
549 +    files=`sed -n 's/^[ ]*A[CM]_CONFIG_HEADER(\([^)]*\)).*/\1/p' ${configure_ac}`
550 +    test -z "$files" && files="config.h"
551 +    touch_files=
552 +    for f in $files; do
553 +      case "$f" in
554 +      *:*) touch_files="$touch_files "`echo "$f" |
555 +                                      sed -e 's/^[^:]*://' -e 's/:.*//'`;;
556 +      *) touch_files="$touch_files $f.in";;
557 +      esac
558 +    done
559 +    touch $touch_files
560      ;;
561  
562    automake)
563      echo 1>&2 "\
564 -WARNING: \`$1' is missing on your system.  It should be needed only if
565 -         you modified \`Makefile.am', \`acinclude.m4' or \`configure.in'.
566 +WARNING: \`$1' is missing on your system.  You should only need it if
567 +         you modified \`Makefile.am', \`acinclude.m4' or \`${configure_ac}'.
568           You might want to install the \`Automake' and \`Perl' packages.
569           Grab them from any GNU archive site."
570 -    find . -type f -name Makefile.am -print \
571 -      | sed 's/^\(.*\).am$/touch \1.in/' \
572 -      | sh
573 +    find . -type f -name Makefile.am -print |
574 +          sed 's/\.am$/.in/' |
575 +          while read f; do touch "$f"; done
576      ;;
577  
578    bison|yacc)
579      echo 1>&2 "\
580  WARNING: \`$1' is missing on your system.  You should only need it if
581 -       you modified a \`.y' file.  You may need the \`Bison' package
582 -       in order for those modifications to take effect.  You can get
583 -       \`Bison' from any GNU archive site."
584 -    touch y.tab.c
585 +         you modified a \`.y' file.  You may need the \`Bison' package
586 +         in order for those modifications to take effect.  You can get
587 +         \`Bison' from any GNU archive site."
588 +    rm -f y.tab.c y.tab.h
589 +    if [ $# -ne 1 ]; then
590 +        eval LASTARG="\${$#}"
591 +       case "$LASTARG" in
592 +       *.y)
593 +           SRCFILE=`echo "$LASTARG" | sed 's/y$/c/'`
594 +           if [ -f "$SRCFILE" ]; then
595 +                cp "$SRCFILE" y.tab.c
596 +           fi
597 +           SRCFILE=`echo "$LASTARG" | sed 's/y$/h/'`
598 +           if [ -f "$SRCFILE" ]; then
599 +                cp "$SRCFILE" y.tab.h
600 +           fi
601 +         ;;
602 +       esac
603 +    fi
604 +    if [ ! -f y.tab.h ]; then
605 +       echo >y.tab.h
606 +    fi
607 +    if [ ! -f y.tab.c ]; then
608 +       echo 'main() { return 0; }' >y.tab.c
609 +    fi
610 +    ;;
611 +
612 +  lex|flex)
613 +    echo 1>&2 "\
614 +WARNING: \`$1' is missing on your system.  You should only need it if
615 +         you modified a \`.l' file.  You may need the \`Flex' package
616 +         in order for those modifications to take effect.  You can get
617 +         \`Flex' from any GNU archive site."
618 +    rm -f lex.yy.c
619 +    if [ $# -ne 1 ]; then
620 +        eval LASTARG="\${$#}"
621 +       case "$LASTARG" in
622 +       *.l)
623 +           SRCFILE=`echo "$LASTARG" | sed 's/l$/c/'`
624 +           if [ -f "$SRCFILE" ]; then
625 +                cp "$SRCFILE" lex.yy.c
626 +           fi
627 +         ;;
628 +       esac
629 +    fi
630 +    if [ ! -f lex.yy.c ]; then
631 +       echo 'main() { return 0; }' >lex.yy.c
632 +    fi
633 +    ;;
634 +
635 +  help2man)
636 +    echo 1>&2 "\
637 +WARNING: \`$1' is missing on your system.  You should only need it if
638 +        you modified a dependency of a manual page.  You may need the
639 +        \`Help2man' package in order for those modifications to take
640 +        effect.  You can get \`Help2man' from any GNU archive site."
641 +
642 +    file=`echo "$*" | sed -n 's/.*-o \([^ ]*\).*/\1/p'`
643 +    if test -z "$file"; then
644 +       file=`echo "$*" | sed -n 's/.*--output=\([^ ]*\).*/\1/p'`
645 +    fi
646 +    if [ -f "$file" ]; then
647 +       touch $file
648 +    else
649 +       test -z "$file" || exec >$file
650 +       echo ".ab help2man is required to generate this page"
651 +       exit 1
652 +    fi
653      ;;
654  
655    makeinfo)
656 +    if test -z "$run" && (makeinfo --version) > /dev/null 2>&1; then
657 +       # We have makeinfo, but it failed.
658 +       exit 1
659 +    fi
660 +
661      echo 1>&2 "\
662 -WARNING: \`$1' is missing on your system.  It should be needed only if
663 +WARNING: \`$1' is missing on your system.  You should only need it if
664           you modified a \`.texi' or \`.texinfo' file, or any other file
665           indirectly affecting the aspect of the manual.  The spurious
666           call might also be the consequence of using a buggy \`make' (AIX,
667 @@ -117,6 +227,45 @@
668        file=`sed -n '/^@setfilename/ { s/.* \([^ ]*\) *$/\1/; p; q; }' $file`
669      fi
670      touch $file
671 +    ;;
672 +
673 +  tar)
674 +    shift
675 +    if test -n "$run"; then
676 +      echo 1>&2 "ERROR: \`tar' requires --run"
677 +      exit 1
678 +    fi
679 +
680 +    # We have already tried tar in the generic part.
681 +    # Look for gnutar/gtar before invocation to avoid ugly error
682 +    # messages.
683 +    if (gnutar --version > /dev/null 2>&1); then
684 +       gnutar ${1+"$@"} && exit 0
685 +    fi
686 +    if (gtar --version > /dev/null 2>&1); then
687 +       gtar ${1+"$@"} && exit 0
688 +    fi
689 +    firstarg="$1"
690 +    if shift; then
691 +       case "$firstarg" in
692 +       *o*)
693 +           firstarg=`echo "$firstarg" | sed s/o//`
694 +           tar "$firstarg" ${1+"$@"} && exit 0
695 +           ;;
696 +       esac
697 +       case "$firstarg" in
698 +       *h*)
699 +           firstarg=`echo "$firstarg" | sed s/h//`
700 +           tar "$firstarg" ${1+"$@"} && exit 0
701 +           ;;
702 +       esac
703 +    fi
704 +
705 +    echo 1>&2 "\
706 +WARNING: I can't seem to be able to run \`tar' with the given arguments.
707 +         You may want to install GNU tar or Free paxutils, or check the
708 +         command line arguments."
709 +    exit 1
710      ;;
711  
712    *)